Bug 118844 - [NEWHELP] Colibre icons missing in several help pages.
Summary: [NEWHELP] Colibre icons missing in several help pages.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2018-07-19 14:39 UTC by Olivier Hallot
Modified: 2018-07-27 12:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-07-19 14:39:31 UTC
New help is now using Colibre icons, as replacement of Galaxy icons.

But some help pages miss icons, and the icons are not in the Colibre set (but were in the Galaxy set)

see this page: 
https://help.libreoffice.org/6.2/en-US/text/swriter/01/05140000.html?&DbPAR=WRITER&System=UNIX

Look at the style categories table, where the word "icon" denotes a missing image.

Some of the missing icons are:
sw/res/sf03.png
sw/res/sf04.png
sw/res/sf05.png
Comment 1 Rizal Muttaqin 2018-07-19 14:53:12 UTC
The missing icons are defined in Colibre's links.txt file :

sw/res/sf03.png cmd/sc_insertframe.png
sw/res/sf04.png cmd/sc_showsinglepage.png
sw/res/sf05.png cmd/sc_defaultbullet.png
Comment 2 Heiko Tietze 2018-07-19 14:55:59 UTC
According to Andreas, Colibre is 100% finished including 32px icons. 

The missing icons might come from the links.txt file where duplicates are taken from. For example sw/res/sf03.png points to cmd/sc_insertframe.png [1] (haven't checked the other). Michael asked during the ESC call whether the help takes this file into account. If not you would have to copy/rename all these icons (not a big deal for a script though it blows up the size).

https://opengrok.libreoffice.org/xref/core/icon-themes/colibre/links.txt#1663
Comment 3 Olivier Hallot 2018-07-20 14:06:24 UTC
2 approaches to fix it

1) implement a XSL stub to change image url at build time for help pages
pro: quite easy
con: longer Help build time, 
     keep two files with similar purposes (link.txt and link.txt.xsl)

2) do it on Help sources once for all.
pro: problem fixed
con: trigger retranslation of all affected <image> tags, need special script to mute retranslation
Comment 4 Jean-Baptiste Faure 2018-07-21 20:12:09 UTC
Set status to NEW according to comments #1 - #3

Best regards. JBF
Comment 5 Commit Notification 2018-07-22 11:16:06 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=6f19b002ecde744916b4e7276dd5f35b95f5dab8

tdf#118844 Add missing icons in Help pages
Comment 6 Commit Notification 2018-07-27 12:25:10 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-6-1-0":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=bdf9b0bcee1afadc80a41d548803c33cd3b755ed&h=libreoffice-6-1-0

tdf#118844 Add missing icons in Help pages
Comment 7 Commit Notification 2018-07-27 12:29:49 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=fb39a0102eb66c281f3db6433468a2c9574fa65b&h=libreoffice-6-1

tdf#118844 Add missing icons in Help pages